Hardware Hacking Does my hacked Switch need a newer firmware for Metroid Dread?

mrmilkman

Well-Known Member
OP
Newcomer
Joined
Nov 7, 2008
Messages
60
Trophies
0
XP
259
Country
Please bare with me, I'm a total noob.

I installed Metroid Dread when it was first released but it wouldn't run, just came up with an error message: This software was closed because an error occurred." Back then I was running an older version of atmosphere etc etc. So I updated all of that and (which was a bit of a mission for a noob like me) but I got it all installed in the end but I still get the error message.

My Switch is on 10.1.0 firmware. Is this the issue? Do I need to update the firmware? Or is there something else I'm missing?

I'm going to delete Metroid Dread and download it again if it's not the firmware causing this.

Thanks for your help.
 

esikitty

Well-Known Member
Member
Joined
Jul 28, 2021
Messages
120
Trophies
0
Age
24
XP
316
Country
United States
Just update to the latest. Atmosphere supports the latest firmware. I'm surprised people still ask for minimum firmware requirement on games. Simple to update, throw the latest Atmosphere files with the latest sigpatches on a sd card, and run everything like normal without worries
 

mrmilkman

Well-Known Member
OP
Newcomer
Joined
Nov 7, 2008
Messages
60
Trophies
0
XP
259
Country
Just update to the latest. Atmosphere supports the latest firmware. I'm surprised people still ask for minimum firmware requirement on games. Simple to update, throw the latest Atmosphere files with the latest sigpatches on a sd card, and run everything like normal without worries
Yeah I hadn't really used my switch for over a year so I was totally out of the loop. And when I leave it for so long I forget all the process and such involved. I was struggling with updating Atmosphere and the sigpatches last night. I think my issue was copying over and not deleting the old files. Also back when I last installed everything it wasn't a great idea to update firmware.
 
General chit-chat
Help Users
  • No one is chatting at the moment.
    AliceCE @ AliceCE: